%define upstream_name    DateTime-Format-DateParse
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Parses Date::Parse compatible formats
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Date::Parse)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::TimeZone)
BuildRequires: perl(Time::Zone)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%{?perl_default_filter}

%description
This module is a compatibility wrapper around the Date::Parse module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.50.0-12.mga9
+ Revision: 1802920
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-11.mga8
+ Revision: 1493889
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.50.0-10.mga7
+ Revision: 1267031
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.50.0-9.mga6
+ Revision: 1025100
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.50.0-8.mga6
+ Revision: 948363
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 pterjan <pterjan> 0.50.0-7.mga5
+ Revision: 787586
- Remove wrong excludes

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-6.mga5
+ Revision: 741954
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.50.0-5.mga5
+ Revision: 735477
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 684272
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 510753
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 365578
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 36185
- mageia rebuild
- imported package perl-DateTime-Format-DateParse


* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 0.50.0-1mdv2010.1
+ Revision: 542879
- import perl-DateTime-Format-DateParse


* Thu May 06 2010 cpan2dist 0.05-1mdv
- initial mdv release, generated with cpan2dist
